## ros-lunar-pacmod3 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pacmod3)

## Add support for C++11, supported in ROS Kinetic and newer
# For PACMod, this must be enabled to use mutexes.
add_definitions(-std=c++11)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  pacmod_msgs
  can_msgs
)

catkin_package(CATKIN_DEPENDS
  roscpp
  std_msgs 
  pacmod_msgs
  can_msgs
)

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include/${PROJECT_NAME}
  ${catkin_INCLUDE_DIRS}
)

## Declare a C++ executable
add_executable(${PROJECT_NAME}
  src/pacmod3_ros_msg_handler.cpp
  src/pacmod3_node.cpp
  src/pacmod3_core.cpp
)

## Add cmake target dependencies of the executable
## same as for the library above
add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-lunar-pacmod3 (1.2.1-0xenial) xenial; urgency=high

  * Merge pull request #43 <https://github.com/astuff/pacmod3/issues/43> from astuff/maint/add_urls
  * Adding URLs to package.xml and upadating README.
  * Contributors: Daniel-Stanek, Joshua Whitley

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 07 Dec 2018 06:00:00 -0000

ros-lunar-pacmod3 (1.2.0-0xenial) xenial; urgency=high

  * Merge pull request #41 <https://github.com/astuff/pacmod3/issues/41> from astuff/fix/vector_comp_dbc_file
    Removing unnecessary line preventing Vector CANdb++ editor from opening
  * Merge pull request #39 <https://github.com/astuff/pacmod3/issues/39> from astuff/feat/add_comp_rpt
    Feature add component report for each PACMod component.
  * DBC: Fixing errors. CI: Adding DBC validation to workflow.
  * DBC: Typo on two lines.
  * Adding encoding for CLEAR_FAULTS flag.
  * Adding parsing and publishing for COMPONENT_RPT.
  * DBC: Add COMPONENT_RPT and CLEAR_FAULTS flag.
  * Merge pull request #38 <https://github.com/astuff/pacmod3/issues/38> from astuff/feature/add_veh_6
    Adding VEHICLE_6.
  * Contributors: Daniel-Stanek, Joshua Whitley, Mike Lemm, Nate Imig

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 19 Nov 2018 06:00:00 -0000

ros-lunar-pacmod3 (1.1.1-0xenial) xenial; urgency=high

  * Merge pull request #34 <https://github.com/astuff/pacmod3/issues/34> from astuff/maint/add_none_shift_cmd
  * Removing unused COMMANDED_VALUE values on SHIFT_RPT.
  * Adding NONE shift value.
  * Merge pull request #33 <https://github.com/astuff/pacmod3/issues/33> from astuff/fix/percent-signs
  * Removed erroneous percent sign from signal units
    Before: Percentages were being reported as a decimal value between 0 and 1
    with a percentage sign.  E.g. 0.5 would be reported, but the intent
    was to convey 50%.  i.e. the report or command would read 0.5%
    when it should've read 50% or just simply 0.5.
    After: Values will be reported without the '%' sign.  They report as decimal
    values.
  * Forgot to bump DBC after last minor change.
  * Merge pull request #32 <https://github.com/astuff/pacmod3/issues/32> from astuff/fix/steering-rpt-units
  * Corrected Steering report units JIRA: LEXUS-131
    Before: steering_rpt reported commanded position in rad/s.
    After: steering_rpt reports commanded position in rad.
  * Contributors: Daniel-Stanek, Joshua Whitley, Sam Rustan, Zach Oakes, driscoll85

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Thu, 30 Aug 2018 05:00:00 -0000

ros-lunar-pacmod3 (1.1.0-0xenial) xenial; urgency=high

  * A boost::shared_ptr error would occur on some vehicles on shutdown.
    Moving the allocation of all of the optional subscribers to after
    ros::init is called fixes this error and should not impact functionality
    or performance.
  * Temporarily disabling Vehicle 5 steering wheel controls.
  * First attempt at adding an All System Statuses topic.
  * Changing CAN factors for Steer Aux rpt values.
  * Removed incorrect conversion factor for as_tx/vehicle_speed
  * Adding publishing for door, interior lights, rear lights, and occupancy rpt.
  * Removing wipers from VEHICLE_5.
    This system will not be availble in the initial vehicle release.
  * Changes for vehicle 4
  * Adding unknown vehicle mfg and year to VIN rpt.
  * Adds the ability to parse Dash Controls, CC Btns, and Media Btns.
  * Add config_fault_active to global report.
    This indicates that a fault occurred while reading the configuration file.
  * Creating framework for publishing of all current Aux msgs.
    Created parsing and publishing framework for Aux messages on the
    following systems: Accel, Brake, Headlights, Shift, Steer, Turn, and
    Wipers.
  * Adding VehSpecificRpt1. Removing SteerRpt2 and SteerRpt3.
    VehicleControlsRpt was replaced with VehicleSpecificRpt1. SteerRpt2
    and SteerRpt3 were deemed unnecessary given the addition of SteerAuxRpt.
  * Command values for SystemCmdBools were reversed.
    This commit fixes the reversal (commanded true now encodes a 1
    in the CAN message instead of a 0 and vice versa).
  * Added report messages DetectedObjectRpt, VehicleControlsRpt, and VehicleDynamicsRpt
  * This commit removes state mgmt and the global enable.
    If any system is disabled, it should either be due to a disable
    being sent from the user, an override, or a fault. This means that
    there is no need for us to maintain all systems' states in the driver.
    We can just continue to spam the most recent command and only modify
    it if we receive an override_active or fault_active flag on the global
    command. If either of those are true, we immediately disable all
    systems.
  * CAN ID reorganization.
    After talking with the team, reorganizing the CAN IDs prior to
    the use of a PACMod3 in production made sense. This includes
    consideration for priority, grouping based on function, and leaving
    space for future additions.
  * Adds clear_override flag to all PACMod 3 command messages.
    This requires approval of the maint/add_clear_override_flag branch
    on astuff_sensor_messages - hence the change to .travis.rosinstall.
    Will have to change this back to master once that branch is approved
    and this is merged into master here.
  * Adding Aux rpts for brake/accel/shift/steer. Door/Occ/IntLights/ExtLights rpts.
    Adding framework for parsing Aux reports from brake, accel, shift, and steer systems.
    Adding parsing framework for DoorRpt, OccupancyRpt, InteriorLightsRpt,
    and ExteriorLightsRpt.
  * Adding state_change_debounce_counts for each system.
    This will help to prevent quick enable/disable flashes
    on the PACMods and PACMinis by stopping listening to their reports
    for X number of loops after a state change (enable->disable/disable
    ->enable.
  * Turn signal was defaulting to 0 (TURN_LEFT). Fixed.
  * Fixing Horn cmd type.


=== debian/control ===
Source: ros-lunar-pacmod3
Section: misc
Priority: extra
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-can-msgs, ros-lunar-catkin, ros-lunar-pacmod-msgs, ros-lunar-roscpp, ros-lunar-std-msgs
Homepage: http://wiki.ros.org/pacmod3
Standards-Version: 3.9.2

Package: ros-lunar-pacmod3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-can-msgs, ros-lunar-pacmod-msgs, ros-lunar-roscpp, ros-lunar-std-msgs
Description: AutonomouStuff PACMod v3 Driver Package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pacmod3//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
